SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001750SiT!otherpublic2011-12-15 17:292011-12-19 19:50
Reporterdipohl 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001750: Constants not defined in setup.php (development version in GIT)
DescriptionWhen you run the install procedure, the check of requirements don't know, which minimal PHP and MySQL version is needed. See attached picture (btw. As SiT! can also setup its own user accounts, LDAP is not required in all setups..)
Steps To ReproduceRun setup for current version in GIT
Additional InformationCan be solved by:

diff --git a/setup.php b/setup.php
index 5145135..7be807e 100644
--- a/setup.php
+++ b/setup.php
@@ -23,6 +23,8 @@ define ('APPLICATION_I18NPATH', realpath(dirname( __FILE__ ).DIRECTORY_SEPARATOR
 define ('APPLICATION_PORTALPATH', realpath(dirname( __FILE__ ).DIRECTORY_SEPARATOR . 'portal') . DIRECTORY_SEPARATOR);
 define ('APPLICATION_PLUGINPATH', realpath(dirname( __FILE__ ).DIRECTORY_SEPARATOR . 'plugins') . DIRECTORY_SEPARATOR);
 
+// Define permissions
+require (APPLICATION_LIBPATH . 'constants.inc.php');
 
 // Load config defaults
 @include (APPLICATION_LIBPATH . 'defaults.inc.php');
TagsNo tags attached.
Attached Filespng file icon requirements.png [^] (44,493 bytes) 2011-12-15 17:29

- Relationships

-  Notes
User avatar (0004372)
paulh (administrator)
2011-12-19 19:49

Thanks dipohl,

I can reproduce, your also right on the LDAP option
User avatar (0004373)
paulh (administrator)
2011-12-19 19:50

aa410e6 resolves this in git

- Issue History
Date Modified Username Field Change
2011-12-15 17:29 dipohl New Issue
2011-12-15 17:29 dipohl File Added: requirements.png
2011-12-19 19:49 paulh Note Added: 0004372
2011-12-19 19:49 paulh Status new => confirmed
2011-12-19 19:49 paulh Assigned To => paulh
2011-12-19 19:49 paulh Product Version => Current GIT
2011-12-19 19:49 paulh Target Version => 3.90beta1
2011-12-19 19:50 paulh Note Added: 0004373
2011-12-19 19:50 paulh Status confirmed => resolved
2011-12-19 19:50 paulh Resolution open => fixed
2011-12-19 19:50 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker